Bug 245938 - [RHEL4 Xen]: Enable Systemtap
Summary: [RHEL4 Xen]: Enable Systemtap
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel-xen   
(Show other bugs)
Version: 4.5
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Chris Lalancette
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 248673
TreeView+ depends on / blocked
 
Reported: 2007-06-27 14:50 UTC by Chris Lalancette
Modified: 2007-11-17 01:14 UTC (History)
3 users (show)

Fixed In Version: RHBA-2007-0791
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 16:29:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0791 normal SHIPPED_LIVE Updated kernel packages available for Red Hat Enterprise Linux 4 Update 6 2007-11-14 18:25:55 UTC

Description Chris Lalancette 2007-06-27 14:50:30 UTC
Description of problem:
It seems that Systemtap is currently disabled on RHEL-4 Xen.  We at least need
to turn on CONFIG_KPROBES, and possibly some other options, to get this working.

Comment 1 Chris Lalancette 2007-06-27 14:52:04 UTC
An example program that currently fails:

probe begin {
	log("Hello World");
	exit();
}

Failure messages:

In file included
from /tmp/stapdAF1BP/stap_885c7cb3746af32673d0ab75f63f8db7_313.c:36:
/usr/share/systemtap/runtime/stack.c:73: warning: "struct
kretprobe_instance" declared inside parameter list
/usr/share/systemtap/runtime/stack.c:73: warning: its scope is only this
definition or declaration, which is probably not what you want
/usr/share/systemtap/runtime/stack.c: In function `_stp_stack_sprint':
/usr/share/systemtap/runtime/stack.c:79: error: dereferencing pointer to
incomplete type
/usr/share/systemtap/runtime/stack.c:81: error: dereferencing pointer to
incomplete type

Comment 2 Chris Lalancette 2007-06-27 17:05:35 UTC
FWIW, I've built a i686 tree locally with CONFIG_KPROBES turned on, and it seems
to at least have built and executed the simple "Hello World" module.  So it may
be as simple as just turning that configuration option on for both i386 and x86_64.

Chris Lalancette

Comment 4 RHEL Product and Program Management 2007-06-27 20:34:33 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 5 Jason Baron 2007-07-03 22:44:01 UTC
committed in stream U6 build 55.16. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/


Comment 6 Red Hat Bugzilla 2007-07-25 00:53:14 UTC
change QA contact

Comment 8 Don Domingo 2007-08-23 04:16:58 UTC
added to RHEL4.6 release notes under "Kernel-Related Updates":

<quote>
CONFIG_KPROBES is now enabled to provide support for Systemtap
</quote>

please advise if any revisions are necessary. thanks!



Comment 10 errata-xmlrpc 2007-11-15 16:29:28 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0791.html



Note You need to log in before you can comment on or make changes to this bug.